aboutsummaryrefslogtreecommitdiff
path: root/examples/pbuilder-test/001_apprun
diff options
context:
space:
mode:
Diffstat (limited to 'examples/pbuilder-test/001_apprun')
-rw-r--r--examples/pbuilder-test/001_apprun14
1 files changed, 14 insertions, 0 deletions
diff --git a/examples/pbuilder-test/001_apprun b/examples/pbuilder-test/001_apprun
new file mode 100644
index 0000000..470fa7b
--- /dev/null
+++ b/examples/pbuilder-test/001_apprun
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+# run the program without parameters, or run it with --help parameter,
+# and check that it returns the expected return-code. Suitable test
+# for non-interactive non-GUI operation.
+
+set +e
+program
+case $? in
+ 1) exit 0;;
+ *) exit 1;;
+esac
+
+